xBarcodexBarcode
场景化智能生成工具箱

智能二维码与实用场景工具

无需记忆复杂的行业语法规范。输入结构化信息,一键生成严格符合 RFC 与 ZXing 标准的 WiFi 连网、电子名片、双因素认证与活动日程二维码,支持 100% 本地安全计算与印刷级矢量输出。

ZXing & WPA3 Ready ZXing WiFi Network Schema

WiFi 扫码一键连接二维码生成器

自动转义特殊字符,支持 WPA/WPA2/WPA3、隐藏网络与桌面台卡打印排版

  • ✔ 全机型免密直连:兼容 iOS 11+ 相机、Android 原生相机、微信及主流扫码应用。
  • ✔ 特殊字符严谨转义:自动转义分号、冒号、反斜杠与引号,杜绝语法解析错误。
  • ✔ 桌面立牌打印排版:内置精美台卡打印模式,附带网络名与密码明文提示备查。
免费导出 SVG / EPS / PDF 立即使用 →
RFC 6350 & MeCard vCard 3.0 / vCard 4.0 / MeCard

电子名片通讯录二维码生成器

双轨支持 vCard 完整版与 MeCard 超紧凑版,扫码一键存入手机通讯录

  • ✔ 双模格式无缝切换:同时支持信息详实的 vCard 3.0 与超轻量、易识别的 MeCard。
  • ✔ 原生通讯录一键保存:iPhone / Android 相机原生解析,点击即可直达新建联系人。
  • ✔ 密度优化防糊死:提供字符长度与矩阵尺寸动态预估,针对小尺寸纸质名片智能优化。
免费导出 SVG / EPS / PDF 立即使用 →
RFC 6238 & 2FA RFC 6238 TOTP / RFC 4226 HOTP

双因素认证 2FA / TOTP 密钥二维码生成器

严格兼容 Google Authenticator、1Password、Authy,网页实时 6 位验证码毫秒级同步对照

  • ✔ 全生态认证器支持:完美兼容 Google Authenticator、1Password、微软认证器、Authy、Bitwarden 等。
  • ✔ 实时口令同步对照:页面内置 HMAC-SHA1 算法,实时展示当前的 6 位口令,扫码即可秒速核对无误。
  • ✔ Base32 自动净化:自动过滤非法字符(0, 1, 8, 9)并大写规整,彻底防止秘钥格式错误。
免费导出 SVG / EPS / PDF 立即使用 →
RFC 5545 iCalendar RFC 5545 iCalendar (VEVENT)

活动日历与会议日程二维码生成器

扫码直接将活动添加到 Apple 日历、Google Calendar 与 Outlook

  • ✔ 系统原生无缝添加:扫码自动唤起 iPhone 日历或 Android 日历添加日程弹窗。
  • ✔ 全天与精确时间支持:支持全天性多日活动,亦支持精确到分钟的会议日程。
  • ✔ 自动地点与导航:活动地点字段可直接调用手机地图应用发起路线规划。
免费导出 SVG / EPS / PDF 立即使用 →
GS1 & ISO Algorithmic Engine GS1 General Specifications & Luhn Mod 10

条形码校验位计算与批量修复器

支持 EAN-13、UPC-A、ISBN-13、ITF-14 与 Luhn 算法,展示推导演示步骤,一键批量检测与修复

  • ✔ 数学推导全透明:直观展示各位加权、奇偶求和、取模与补全计算步骤,清晰严谨。
  • ✔ 多行批量自动修复:粘贴多达 200 条损坏条码,系统秒级区分正误并一键自动修正校验位。
  • ✔ 多算法广泛覆盖:内置 GS1 Mod 10、图书 ISBN-13、信用卡/IMEI Luhn 与 Code 39 Mod 43。
免费导出 SVG / EPS / PDF 立即使用 →
GS1 Official Table 1 Registry GS1 General Specifications Table 1

GS1 国家前缀与商品条形码溯源速查

输入任意条码快速识别发行国家、机构组织与编码结构(前缀+厂商码+商品码+校验位)

  • ✔ 官方数据权威收录:依据 GS1 国际总局通用规范最新分配表,覆盖 115+ 国家组织代码。
  • ✔ 结构化色块拆解:实时将输入条码切分为国家前缀、厂商代码、商品代码与校验位。
  • ✔ 官方备案链接直达:一键跳转中国物品编码中心、GS1 GEPIR 或各国 GS1 组织官网核对企业备案。
免费导出 SVG / EPS / PDF 立即使用 →
Zero-Dependency ZIP Packaging Sequential Serial & CSV Batch Engine

批量条形码流水号与 CSV 生成器

自增流水号或多行 CSV 粘贴,单批生成高达 200 个条码,纯前端零依赖一键打包 ZIP 下载

  • ✔ 双模式灵活录入:支持规则自增流水号(前缀+起止序号+补零+后缀)与自由多行 CSV 粘贴。
  • ✔ 纯原生零依赖 ZIP 打包:纯前端构建标准 ZIP 压缩包,秒级打包 200 个 SVG 文件下载,不卡顿。
  • ✔ 主流工业条码全面支持:覆盖 Code 128、QR Code、Data Matrix、EAN-13(自动补全校验位)。
免费导出 SVG / EPS / PDF 立即使用 →

🔒 严格的客户端零数据上传保障

不同于将数据发送至远端服务器渲染的传统在线工具,xBarcode 的场景化工具采用纯客户端本地序列化机制。您的 WiFi 密码、通讯录联系方式及 2FA 密钥绝不在公网传输,切实满足企业信息安全合规标准。

100% Client-Side Safe